<template>
  <div>
    <v-btn
      depressed
      small
      color="primary"
      class="toStock-reservedProduct"
      @click="showAllStates"
      >Enseña todo</v-btn
    >
    <v-btn
      depressed
      small
      color="primary"
      class="toStock-reservedProduct"
      @click="showReservedItems"
      >Reservados</v-btn
    >
    <v-btn
      depressed
      small
      color="primary"
      class="toStock-reservedProduct"
      @click="showBuyedItems"
      >Comprados</v-btn
    >

    <div class="grid">
      <div
        v-show="buyedHas"
        v-for="(myTransaction, index) in myTransactions"
        :key="index"
      >
        <MyTransactionsItem
          class="my-transactions"
          :myTransaction="myTransaction"
        />
      </div>
    </div>

    <div class="grid">
      <div
        v-show="reservedHas"
        v-for="(myTransactionsItemReserved,
        index) in myTransactionsItemReserveds"
        :key="index"
      >
        <MyTransactionsItemReserved
          class="my-transactions"
          :myTransactionsItemReserved="myTransactionsItemReserved"
        />
      </div>
    </div>
  </div>
</template>

<script>
import MyTransactionsItem from './MyTransactionsItem.vue'

import MyTransactionsItemReserved from './MyTransactionsItemReserved.vue'

import API from '@/API.js'
export default {
  name: 'MyTransactions',
  components: {
    MyTransactionsItem,
    MyTransactionsItemReserved
  },
  props: {
    idActualUser: String
  },
  data() {
    return {
      myTransactions: [],
      myTransactionsItemReserveds: [],
      reservedHas: true,
      buyedHas: true
    }
  },
  async mounted() {
    let idActualUser = this.idActualUser
    this.myTransactions = await API.getMyTransactions(idActualUser)
    this.myTransactionsItemReserveds = await API.getMyTransactionsItemReserveds(
      idActualUser
    )
  },
  methods: {
    async showAllStates() {
      this.reservedHas = true
      this.buyedHas = true
    },
    async showReservedItems() {
      let idActualUser = this.idActualUser
      this.reservedHas = true
      this.buyedHas = false
      this.myTransactionsItemReserveds = await API.getMyTransactionsItemReserveds(
        idActualUser
      )
    },
    async showBuyedItems() {
      let idActualUser = this.idActualUser
      this.reservedHas = false
      this.buyedHas = true
      this.myTransactions = await API.getMyTransactions(idActualUser)
    }
  }
}
</script>

<style scoped>
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 1rem;
  place-items: center;
}

.grid > div {
  padding: 1rem;
  display: grid;
  place-items: center;
}
.grid > div::before {
  content: '';
  padding-top: 100%;
  display: block;
  grid-area: 1 / 1 / 2 / 2;
}

/* .grid > div > img {
  width: 100%;
  grid-area: 1 / 1 / 2 / 2;
} */

body {
  margin: 2rem;
}
</style>
